Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mwc.sqld.db
Class SimpleDatabase

    java.lang.Object
      |
      +--com.mwc.sqld.db.SimpleDatabase

All Implemented Interfaces:
  Database

Direct Known Subclasses:
  BerkeleyDatabase, TextDatabase, XMLDatabase

public abstract class SimpleDatabase
extends java.lang.Object
implements Database

Constructor Summary
`SimpleDatabase()`

Method Summary
`int` | `delete(UpdateCurser[] data, Criteria c)`
`Sorter` | `getNewSorter()`
`int` | `insert(java.util.LinkedList tables, java.util.LinkedList colList, java.util.LinkedList values)`
`Curser` | `select(Curser[] data, Criteria c, java.util.LinkedList colList)`
`int` | `update(UpdateCurser[] data, java.util.LinkedList setList, Criteria c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.mwc.sqld.db.Database
`close, createTable, dropTable, getTable, getTempFile, modified, name, save, sync, tableNames`

Constructor Detail

### SimpleDatabase

    public SimpleDatabase()

Method Detail

### select

    public Curser select(Curser[] data,
                         Criteria c,
                         java.util.LinkedList colList)
                  throws DBException

  Specified by:
    `select` in interface `Database`

### insert

    public int insert(java.util.LinkedList tables,
                      java.util.LinkedList colList,
                      java.util.LinkedList values)
               throws DBException

  Specified by:
    `insert` in interface `Database`

### delete

    public int delete(UpdateCurser[] data,
                      Criteria c)
               throws DBException

  Specified by:
    `delete` in interface `Database`

### update

    public int update(UpdateCurser[] data,
                      java.util.LinkedList setList,
                      Criteria c)
               throws DBException

  Specified by:
    `update` in interface `Database`

### getNewSorter

    public Sorter getNewSorter()

  Specified by:
    `getNewSorter` in interface `Database`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD